%define pypi_name	decorator

%bcond_without test

Summary:	Python decorator utilities
Name:		python-%{pypi_name}
Version:	5.2.1
Release:	%mkrel 2
License:	BSD
Group:		Development/Python
Url:		https://pypi.python.org/pypi/decorator/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:  python3-devel

%description
The aim of the decorator module it to simplify the usage of decorators for the
average programmer, and to popularize decorators by showing various non-trivial
examples. Of course, as all techniques, decorators can be abused and you should
not try to solve every problem with a decorator, just because you can.

%package -n python3-%{pypi_name}
Summary:	Module to simplify usage of decorators in python3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The aim of the decorator module is to simplify the usage of decorators for the
average programmer, and to popularize decorators usage giving examples of
useful decorators, such as memoize, tracing, redirecting_stdout, locked, etc.
The core of this module is a decorator factory called decorator.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%if %{with test}
%{py3_test_envvars} %{python3} -m unittest tests/test.py
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE*
%doc README*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 5.2.1-2.mga10
+ Revision: 2237187
- Mageia 10 Mass Rebuild

* Wed Feb 26 2025 wally <wally> 5.2.1-1.mga10
+ Revision: 2152853
- new version 5.2.1
- rebuild for python3.13

* Fri Dec 27 2024 papoteur <papoteur> 5.1.1-6.mga10
+ Revision: 2130413
- add and use pytest

* Sun Dec 22 2024 daviddavid <daviddavid> 5.1.1-5.mga10
+ Revision: 2128688
- fix FTBFS with new setuptools

* Tue Dec 12 2023 papoteur <papoteur> 5.1.1-4.mga10
+ Revision: 2017306
- rebuild for python3.12

* Sat Dec 09 2023 wally <wally> 5.1.1-3.mga10
+ Revision: 2016390
- rebuild for py3.12
- use pyproject rpm macros

* Thu Mar 24 2022 umeabot <umeabot> 5.1.1-2.mga9
+ Revision: 1824678
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 5.1.1-1.mga9
+ Revision: 1772128
- new version 5.1.1
- rebuild for python3.10

* Sat Aug 28 2021 wally <wally> 5.0.9-1.mga9
+ Revision: 1743137
- new version 5.0.9

* Sun Mar 14 2021 wally <wally> 4.4.2-2.mga9
+ Revision: 1702562
- rebuild for python 3.9

* Fri Apr 10 2020 daviddavid <daviddavid> 4.4.2-1.mga8
+ Revision: 1566022
- new version: 4.4.2

* Sun Feb 16 2020 umeabot <umeabot> 4.4.0-3.mga8
+ Revision: 1535297
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 4.4.0-2.mga8
+ Revision: 1451716
- rebuild with python 3.8

* Thu Sep 05 2019 wally <wally> 4.4.0-1.mga8
+ Revision: 1437642
- new version 4.4.0
- drop python2 support
- rebuild for python3.8

* Sat Jan 05 2019 wally <wally> 4.3.0-3.mga7
+ Revision: 1349501
- rebuild for python3.7

* Mon Nov 05 2018 tv <tv> 4.3.0-2.mga7
+ Revision: 1328447
- fix upgrade: use %%python_provide

* Tue Oct 02 2018 daviddavid <daviddavid> 4.3.0-1.mga7
+ Revision: 1314570
- new version: 4.3.0
- rename python-decorator to python2-decorator

* Thu Sep 20 2018 umeabot <umeabot> 4.1.2-2.mga7
+ Revision: 1288568
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 guillomovitch <guillomovitch> 4.1.2-1.mga7
+ Revision: 1189325
- new version 4.1.2

* Fri Aug 04 2017 tv <tv> 4.0.9-2.mga7
+ Revision: 1134537
- rebuild for new python

* Thu Apr 14 2016 daviddavid <daviddavid> 4.0.9-1.mga6
+ Revision: 1001549
- new version: 4.0.9
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 12 2015 philippem <philippem> 4.0.6-1.mga6
+ Revision: 909680
- update to 4.0.6

* Sun Oct 11 2015 philippem <philippem> 4.0.4-1.mga6
+ Revision: 889696
- fix docs
- update to 4.0.4

* Thu Oct 08 2015 daviddavid <daviddavid> 3.4.0-10.mga6
+ Revision: 887329
- disable python3 tests (fails with python 3.5)
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 3.4.0-9.mga5
+ Revision: 741329
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.4.0-8.mga5
+ Revision: 726918
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.4.0-7.mga5
+ Revision: 687960
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.4.0-6.mga5
+ Revision: 628544
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.4.0-5.mga4
+ Revision: 543216
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.4.0-4.mga4
+ Revision: 498355
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 11 2013 philippem <philippem> 3.4.0-3.mga4
+ Revision: 453057
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 3.4.0-2.mga3
+ Revision: 378651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 22 2012 dams <dams> 3.4.0-1.mga3
+ Revision: 309273
- new version 3.4.0

* Fri Sep 23 2011 lebedov <lebedov> 3.3.2-1.mga2
+ Revision: 147029
- Update to 3.3.2.

* Mon Jul 04 2011 ennael <ennael> 3.3.1-1.mga2
+ Revision: 118279
- remove buildroot
- imported package python-decorator


* Thu Apr 28 2011 Lev Givon <lev@mandriva.org> 3.3.1-1mdv2011.0
+ Revision: 660079
- Update to 3.3.1.

* Mon Jan 03 2011 Lev Givon <lev@mandriva.org> 3.3.0-1mdv2011.0
+ Revision: 628030
- Update to 3.3.0.

* Sun Nov 28 2010 Lev Givon <lev@mandriva.org> 3.2.1-1mdv2011.0
+ Revision: 602463
- Update to 3.2.1.

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.2.0-3mdv2011.0
+ Revision: 592309
- rebuild for python 2.7
- replace the obsolete %%py_requires macro and add BR python-devel

* Tue Jul 13 2010 Lev Givon <lev@mandriva.org> 3.2.0-2mdv2011.0
+ Revision: 551374
- Fix file list.
- Update to 3.2.0.

* Tue Sep 08 2009 Lev Givon <lev@mandriva.org> 3.1.2-1mdv2010.0
+ Revision: 434273
- import python-decorator


